import Distribution.Simple
import Data.List
import System.Directory
import System.Info
import System.Exit

main = defaultMainWithHooks hooks

hooks = defaultUserHooks { postConf = myPostConf }

class ConfReturn a where
  confSuccess :: a

instance ConfReturn () where
  confSuccess = ()

instance ConfReturn ExitCode where
  confSuccess = ExitSuccess

myPostConf _ _ _ _ = do
  copyFile source "m100sim.buildinfo"
  return confSuccess
  where
    source
      | os == "mingw32" = "buildinfo_windows"
      | otherwise = "buildinfo_other"
